Subject: bug#3208: 23.0.93; Memory full / crash when displaying lots of characters from a large font (like Arial Unicode or Code2000) which is not explicitly selected (on Win32)

From: Jason Rumney <[email-masked]>
Date: Wed, 24 Jun 2009 18:43:35 +0800

Kenichi Handa wrote:
> In article <[email-masked]>, Jason Rumney <[email-masked]> writes:
>
>   
>> Part of the recipe is that you don't set Arial Unicode MS as the default 
>> font, you let the font fallback find it (in the case of the original 
>> report, or MS Mincho in my case).
>>     
>
> Although I still can't reproduce the problem

I wonder if the default font contains the character U+2203 in your case, 
since you are using a Japanese locale. Can you try reproducing it using 
the other characters suggested in the original message: U+2202 and U+FFFD?

In my case I only see the problem with U+2203 with emacs -Q, but I did 
originally reproduce the problem with one of those other characters 
after changing the default font to something else.

(let ((str (char-to-string (decode-char 'ucs #xFFFD))))
  (dotimes (i 16)
    (setq str (concat str str)))
  (insert str)
  (goto-char (point-min))
  (goto-char (point-max))
  (goto-char (point-min))
  (goto-char (point-max))
  (goto-char (point-min))
  (goto-char (point-max)))